Files
UnrealEngineUWP/Engine/Plugins/VirtualProduction/RemoteControlWebInterface/WebApp/Start.sh
Marc Audy 8f73cd7fa9 Merge UE5/Release-Engine-Staging @ 15630841 to UE5/Main
This represents UE4/Main @ 15601601

[CL 15631170 by Marc Audy in ue5-main branch]
2021-03-05 19:27:14 -04:00

28 lines
808 B
Bash

#!/bin/sh
set -e
# First we check if nodejs is installed
if ! command -v node > /dev/null ; then
echo "ERROR: Couldn't find node.js installed..., Please install latest nodejs from https://nodejs.org/en/download/"
exit 1
fi
# Let's check if it is a modern nodejs
VERSION=$(node -e "console.log( process.versions.node.split('.')[0] );")
echo "Found Node.js version ${VERSION}"
if [ ${VERSION} -lt 8 ] ; then
echo "ERROR: installed node.js version is too old (${VERSION}) :\( Please install latest nodejs from https://nodejs.org/en/download/"
exit 1
fi
if [ ${VERSION} -gt 14 ] ; then
echo "ERROR: installed node.js version is not supported (${VERSION}), please install v14 of nodejs from https://nodejs.org/en/download/"
exit 1
fi
FOLDER=$(dirname "$0")
node ${FOLDER}/Scripts/start.js "$@"